CREATE TABLE CRST_FND_PER_ADDRESSES (
  ADDRESS_ID               NUMBER(15),
  BUSINESS_GROUP_ID        NUMBER(15),
  PERSON_ID                NUMBER(10),
  DATE_FROM                DATE,
  PRIMARY_FLAG             VARCHAR2(30),
  STYLE                    VARCHAR2(30),
  ADDRESS_LINE1            VARCHAR2(240),
  ADDRESS_LINE2            VARCHAR2(240),
  ADDRESS_LINE3            VARCHAR2(240),
  ADDRESS_TYPE             VARCHAR2(30),
--  COMMENTS                 LONG,
  COUNTRY                  VARCHAR2(60),
  DATE_TO                  DATE,
  POSTAL_CODE              VARCHAR2(30),
  REGION_1                 VARCHAR2(120),
  REGION_2                 VARCHAR2(120),
  REGION_3                 VARCHAR2(120),
  TELEPHONE_NUMBER_1       VARCHAR2(60),
  TELEPHONE_NUMBER_2       VARCHAR2(60),
  TELEPHONE_NUMBER_3       VARCHAR2(60),
  TOWN_OR_CITY             VARCHAR2(30),
  REQUEST_ID               NUMBER(15),
  PROGRAM_APPLICATION_ID   NUMBER(15),
  PROGRAM_ID               NUMBER(15),
  PROGRAM_UPDATE_DATE      DATE,
  ADDR_ATTRIBUTE_CATEGORY  VARCHAR2(30),
  ADDR_ATTRIBUTE1          VARCHAR2(150),
  ADDR_ATTRIBUTE2          VARCHAR2(150),
  ADDR_ATTRIBUTE3          VARCHAR2(150),
  ADDR_ATTRIBUTE4          VARCHAR2(150),
  ADDR_ATTRIBUTE5          VARCHAR2(150),
  ADDR_ATTRIBUTE6          VARCHAR2(150),
  ADDR_ATTRIBUTE7          VARCHAR2(150),
  ADDR_ATTRIBUTE8          VARCHAR2(150),
  ADDR_ATTRIBUTE9          VARCHAR2(150),
  ADDR_ATTRIBUTE10         VARCHAR2(150),
  ADDR_ATTRIBUTE11         VARCHAR2(150),
  ADDR_ATTRIBUTE12         VARCHAR2(150),
  ADDR_ATTRIBUTE13         VARCHAR2(150),
  ADDR_ATTRIBUTE14         VARCHAR2(150),
  ADDR_ATTRIBUTE15         VARCHAR2(150),
  ADDR_ATTRIBUTE16         VARCHAR2(150),
  ADDR_ATTRIBUTE17         VARCHAR2(150),
  ADDR_ATTRIBUTE18         VARCHAR2(150),
  ADDR_ATTRIBUTE19         VARCHAR2(150),
  ADDR_ATTRIBUTE20         VARCHAR2(150),
  LAST_UPDATE_DATE         DATE,
  LAST_UPDATED_BY          NUMBER(15),
  LAST_UPDATE_LOGIN        NUMBER(15),
  CREATED_BY               NUMBER(15),
  CREATION_DATE            DATE,
  OBJECT_VERSION_NUMBER    NUMBER(9),
  ADD_INFORMATION13        VARCHAR2(150),
  ADD_INFORMATION14        VARCHAR2(150),
  ADD_INFORMATION15        VARCHAR2(150),
  ADD_INFORMATION16        VARCHAR2(150),
  ADD_INFORMATION17        VARCHAR2(150),
  ADD_INFORMATION18        VARCHAR2(150),
  ADD_INFORMATION19        VARCHAR2(150),
  ADD_INFORMATION20        VARCHAR2(150),
  PARTY_ID                 NUMBER(15),
  DERIVED_LOCALE           VARCHAR2(240),
--  GEOMETRY                 MDSYS.SDO_GEOMETRY
  DUMMY                    CHAR(1),
  BG_NAME                  VARCHAR2(100),
  LAST_UPDATED_BY_NAME     VARCHAR2(100),
  CREATED_BY_NAME          VARCHAR2(100)
);
